summaryrefslogtreecommitdiff
path: root/dev-python/humanfriendly
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/humanfriendly
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/humanfriendly')
-rw-r--r--dev-python/humanfriendly/Manifest1
-rw-r--r--dev-python/humanfriendly/humanfriendly-4.18.ebuild31
-rw-r--r--dev-python/humanfriendly/metadata.xml12
3 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/humanfriendly/Manifest b/dev-python/humanfriendly/Manifest
new file mode 100644
index 000000000000..3a5643b6a47b
--- /dev/null
+++ b/dev-python/humanfriendly/Manifest
@@ -0,0 +1 @@
+DIST humanfriendly-4.18.tar.gz 345853 BLAKE2B 9b03ea0679f787e216ee78efe8feb77f83562998813718845f4d21b7ce3f42cadff0e80b96f02da3cf6dc7f35cb0714f746940cf2ac0ec8e8981377989650c8a SHA512 01c7ee50d35154fe0b7ad39662ca6ff2dcd3e0f2a2eacc62f0184102c9db1c0fd99257273982aff56710b4e59024e8c20ee77ddd10c68e427c077ed4ca7e0022
diff --git a/dev-python/humanfriendly/humanfriendly-4.18.ebuild b/dev-python/humanfriendly/humanfriendly-4.18.ebuild
new file mode 100644
index 000000000000..f362db84e0f3
--- /dev/null
+++ b/dev-python/humanfriendly/humanfriendly-4.18.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="threads(+)"
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Human friendly output for text interfaces using Python"
+HOMEPAGE="https://pypi.org/project/humanfriendly
+ https://github.com/xolox/python-humanfriendly
+ https://humanfriendly.readthedocs.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="test? ( dev-python/capturer[${PYTHON_USEDEP}]
+ dev-python/coloredlogs[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_test() {
+ pytest -vv ${PN}/tests.py || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/humanfriendly/metadata.xml b/dev-python/humanfriendly/metadata.xml
new file mode 100644
index 000000000000..00bf380ed075
--- /dev/null
+++ b/dev-python/humanfriendly/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">humanfriendly</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>